import { Box3 } from "three";
import { Context } from "../context/context";
export declare class CameraBound {
    private context;
    private prevCamera;
    private enable;
    box: Box3;
    constructor(context: Context);
    updateBox(): void;
    setEnable(enable: boolean): void;
    changePrevCamera(): void;
    backToPrevCamera(): void;
    registryEvent(): void;
    unRegistryEvent(): void;
    getCurFloorScreenPosition(): {
        left: number;
        right: number;
        top: number;
        bottom: number;
    } | null;
    /**
     * 检测地图是不是在显示范围
     * @param param0
     * @returns
     */
    checkDistanceToScreenEdge({ left, right, top, bottom }: {
        left: number;
        right: number;
        top: number;
        bottom: number;
    }): boolean;
    onCameraChange: () => void;
    dispose(): void;
}
